<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Mon Apr 13 20:37:55 EEST 2020 -->
<title>OrderDao</title>
<meta name="date" content="2020-04-13">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OrderDao";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OrderDao.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../dao/ClientDao.html" title="class in dao"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../dao/ProductDao.html" title="class in dao"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?dao/OrderDao.html" target="_top">Frames</a></li>
<li><a href="OrderDao.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.dao.AbstractDao">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">dao</div>
<h2 title="Class OrderDao" class="title">Class OrderDao</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../dao/AbstractDao.html" title="class in dao">dao.AbstractDao</a>&lt;<a href="../model/Comanda.html" title="class in model">Comanda</a>&gt;</li>
<li>
<ul class="inheritance">
<li>dao.OrderDao</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">OrderDao</span>
extends <a href="../dao/AbstractDao.html" title="class in dao">AbstractDao</a>&lt;<a href="../model/Comanda.html" title="class in model">Comanda</a>&gt;</pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>radu_La fel ca si la clasa ClientDao</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.dao.AbstractDao">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;dao.<a href="../dao/AbstractDao.html" title="class in dao">AbstractDao</a></h3>
<code><a href="../dao/AbstractDao.html#LOGGER">LOGGER</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../dao/OrderDao.html#OrderDao--">OrderDao</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao/OrderDao.html#deleteOrder-model.Comanda-">deleteOrder</a></span>(<a href="../model/Comanda.html" title="class in model">Comanda</a>&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../model/Comanda.html" title="class in model">Comanda</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao/OrderDao.html#getAllOrders--">getAllOrders</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../model/Comanda.html" title="class in model">Comanda</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao/OrderDao.html#getOrderBy-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">getOrderBy</a></span>(java.lang.String&nbsp;camp,
          java.lang.String&nbsp;val,
          java.lang.String&nbsp;camp1,
          java.lang.String&nbsp;val1)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../dao/OrderDao.html#inserareOrder-model.Comanda-">inserareOrder</a></span>(<a href="../model/Comanda.html" title="class in model">Comanda</a>&nbsp;o)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.dao.AbstractDao">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;dao.<a href="../dao/AbstractDao.html" title="class in dao">AbstractDao</a></h3>
<code><a href="../dao/AbstractDao.html#delete-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">delete</a>, <a href="../dao/AbstractDao.html#findAll--">findAll</a>, <a href="../dao/AbstractDao.html#findBy-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">findBy</a>, <a href="../dao/AbstractDao.html#insert-java.lang.Object-">insert</a>, <a href="../dao/AbstractDao.html#update-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">update</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="OrderDao--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OrderDao</h4>
<pre>public&nbsp;OrderDao()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="inserareOrder-model.Comanda-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inserareOrder</h4>
<pre>public&nbsp;void&nbsp;inserareOrder(<a href="../model/Comanda.html" title="class in model">Comanda</a>&nbsp;o)</pre>
</li>
</ul>
<a name="deleteOrder-model.Comanda-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteOrder</h4>
<pre>public&nbsp;void&nbsp;deleteOrder(<a href="../model/Comanda.html" title="class in model">Comanda</a>&nbsp;o)</pre>
</li>
</ul>
<a name="getAllOrders--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllOrders</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../model/Comanda.html" title="class in model">Comanda</a>&gt;&nbsp;getAllOrders()</pre>
</li>
</ul>
<a name="getOrderBy-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getOrderBy</h4>
<pre>public&nbsp;<a href="../model/Comanda.html" title="class in model">Comanda</a>&nbsp;getOrderBy(java.lang.String&nbsp;camp,
                          java.lang.String&nbsp;val,
                          java.lang.String&nbsp;camp1,
                          java.lang.String&nbsp;val1)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OrderDao.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../dao/ClientDao.html" title="class in dao"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../dao/ProductDao.html" title="class in dao"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?dao/OrderDao.html" target="_top">Frames</a></li>
<li><a href="OrderDao.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.dao.AbstractDao">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
